Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

New to Ubuntu. In the other sofware sources i have "Debian 4.0 eth" officially supported "non-us.debian.org/"; etc ... "ppa.launcpad.net" and installing applications has stopped working.

I think i first came across this problem after installing Blender 2.58

When using update manager it is prompting for a partial upgrade.

Almost every software when trying to install showing the same error Package Dependencies Error or GPG PUB KEY missing, tried to fixing to them but no luck.

Output to: sudo apt-get update && sudo apt-get upgrade (links disabled http:// -- http:/ as new user can't put more no. of hyperlinks)

Ign http:/non-us.debian.org stable/non-US InRelease                           
Ign http:/non-us.debian.org stable/non-US Release.gpg                         
Ign http:/non-us.debian.org stable/non-US Release                             
Ign http:/non-us.debian.org stable/non-US/contrib TranslationIndex            
Ign http:/non-us.debian.org stable/non-US/main TranslationIndex               
Ign http:/non-us.debian.org stable/non-US/non-free TranslationIndex           
Err http:/non-us.debian.org stable/non-US/main Sources                        
  503  Service Unavailable
Err http:/non-us.debian.org stable/non-US/contrib Sources                     
  503  Service Unavailable
Err http:/non-us.debian.org stable/non-US/non-free Sources                    
  503  Service Unavailable
Err http:/non-us.debian.org stable/non-US/main amd64 Packages                 
  503  Service Unavailable
Err http:/non-us.debian.org stable/non-US/contrib amd64 Packages              
  503  Service Unavailable
Err http:/non-us.debian.org stable/non-US/non-free amd64 Packages             
  503  Service Unavailable
Ign http:/non-us.debian.org stable/non-US/contrib Translation-en_IN           
Ign http:/non-us.debian.org stable/non-US/contrib Translation-en              
Ign http:/non-us.debian.org stable/non-US/main Translation-en_IN              
Ign http:/non-us.debian.org stable/non-US/main Translation-en                 
Ign http:/non-us.debian.org stable/non-US/non-free Translation-en_IN          
Ign http:/non-us.debian.org stable/non-US/non-free Translation-en             
Ign http:/archive.ubuntu.com natty InRelease                                  
Ign http:/archive.canonical.com natty InRelease                               
Ign http:/extras.ubuntu.com natty InRelease                                   
Ign http:/http.us.debian.org stable InRelease                                 
Ign http:/ftp.us.debian.org etch InRelease                                    
Ign http:/archive.ubuntu.com natty-updates InRelease                          
Hit http:/archive.canonical.com natty Release.gpg                             
Get:1 http:/extras.ubuntu.com natty Release.gpg [72 B]                        
Ign http:/ppa.launchpad.net natty InRelease                                   
Get:2 http:/http.us.debian.org stable Release.gpg [1,672 B]                   
Ign http:/linux.dropbox.com natty InRelease                                   
Ign http:/ftp.us.debian.org etch Release.gpg                                  
Ign http:/archive.ubuntu.com natty-security InRelease                         
Hit http:/archive.canonical.com natty Release                                 
Hit http:/extras.ubuntu.com natty Release                                     
Ign http:/ppa.launchpad.net natty InRelease                                   
Get:3 http:/linux.dropbox.com natty Release.gpg [489 B]                       
Ign http:/ftp.us.debian.org etch Release                                      
Ign http:/dl.google.com stable InRelease                                      
Get:4 http:/archive.ubuntu.com natty Release.gpg [198 B]                      
Ign http:/ppa.launchpad.net natty InRelease                                   
Hit http:/archive.canonical.com natty/partner Sources                         
Hit http:/extras.ubuntu.com natty/main Sources                                
Get:5 http:/linux.dropbox.com natty Release [2,599 B]                         
Get:6 http:/archive.ubuntu.com natty-updates Release.gpg [198 B]              
Ign http:/ppa.launchpad.net natty InRelease                                   
Hit http:/archive.canonical.com natty/partner amd64 Packages                  
Hit http:/extras.ubuntu.com natty/main amd64 Packages                         
Get:7 http:/linux.dropbox.com natty/main amd64 Packages [784 B]               
Get:8 http:/archive.ubuntu.com natty-security Release.gpg [198 B]             
Ign http:/ppa.launchpad.net natty InRelease                                   
Ign http:/archive.canonical.com natty/partner TranslationIndex                
Ign http:/extras.ubuntu.com natty/main TranslationIndex                       
Get:9 http:/http.us.debian.org stable Release [104 kB]                        
Ign http:/linux.dropbox.com natty/main TranslationIndex                       
Hit http:/archive.ubuntu.com natty Release                                    
Ign http:/ppa.launchpad.net natty InRelease                                   
Ign http:/http.us.debian.org stable Release                                   
Hit http:/archive.ubuntu.com natty-updates Release                            
Get:10 http:/ppa.launchpad.net natty InRelease [316 B]                        
Ign http:/ppa.launchpad.net natty InRelease                                   
Hit http:/archive.ubuntu.com natty-security Release                           
Get:11 http:/ppa.launchpad.net natty InRelease [316 B]                        
Ign http:/ppa.launchpad.net natty InRelease                                   
Hit http:/archive.ubuntu.com natty/restricted Sources                         
Get:12 http:/ppa.launchpad.net natty Release.gpg [316 B]                      
Ign http:/http.us.debian.org stable/main Sources/DiffIndex                    
Get:13 http:/ppa.launchpad.net natty Release.gpg [316 B]                      
Hit http:/archive.ubuntu.com natty/main Sources                               
Ign http:/ftp.us.debian.org etch/contrib TranslationIndex                     
Ign http:/http.us.debian.org stable/contrib Sources/DiffIndex                 
Get:14 http:/ppa.launchpad.net natty Release.gpg [1,502 B]                    
Ign http:/http.us.debian.org stable/non-free Sources/DiffIndex                
Ign http:/ftp.us.debian.org etch/main TranslationIndex                        
Get:15 http:/ppa.launchpad.net natty Release.gpg [1,928 B]                    
Ign http:/http.us.debian.org stable/main amd64 Packages/DiffIndex             
Ign http:/ftp.us.debian.org etch/non-free TranslationIndex                    
Ign http:/ppa.launchpad.net natty Release.gpg                                 
Hit http:/http.us.debian.org stable/contrib amd64 Packages/DiffIndex          
W: GPG error: http:/http.us.debian.org stable Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY AED4B06F473041FA NO_PUBKEY 64481591B98321F9
W: GPG error: http:/ppa.launchpad.net natty InRelease: File /var/lib/apt/lists/partial/ppa.launchpad.net_sunab_kdenlive-release_ubuntu_dists_natty_InRelease doesn't start with a clearsigned message
W: GPG error: http:/ppa.launchpad.net natty InRelease: File /var/lib/apt/lists/partial/ppa.launchpad.net_ubuntu-wine_ppa_ubuntu_dists_natty_InRelease doesn't start with a clearsigned message
E: Could not open file /var/lib/apt/lists/http.us.debian.org_debian_dists_stable_contrib_binary-amd64_Packages.IndexDiff - open (2: No such file or directory)

output to: sudo cat /etc/apt/sources.list

# deb cdrom:[Ubuntu 11.04 _Natty Narwhal_ - Release amd64 (20110427.1)]/ natty main restricted

# See http:/help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http:/archive.ubuntu.com/ubuntu natty main restricted
deb-src http:/archive.ubuntu.com/ubuntu natty restricted main multiverse universe #Added by software-properties

## Major bug fix updates produced after the final release of the
## distribution.
deb http:/archive.ubuntu.com/ubuntu natty-updates main restricted
deb-src http:/archive.ubuntu.com/ubuntu natty-updates restricted main multiverse universe #Added by software-properties

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http:/archive.ubuntu.com/ubuntu natty universe
deb http:/archive.ubuntu.com/ubuntu natty-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http:/archive.ubuntu.com/ubuntu natty multiverse
deb http:/archive.ubuntu.com/ubuntu natty-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http:/us.archive.ubuntu.com/ubuntu/ natty-backports main restricted universe multiverse
# deb-src http:/us.archive.ubuntu.com/ubuntu/ natty-backports main restricted universe multiverse

deb http:/archive.ubuntu.com/ubuntu natty-security main restricted
deb-src http:/archive.ubuntu.com/ubuntu natty-security restricted main multiverse universe #Added by software-properties
deb http:/archive.ubuntu.com/ubuntu natty-security universe
deb http:/archive.ubuntu.com/ubuntu natty-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http:/archive.canonical.com/ubuntu natty partner
deb-src http:/archive.canonical.com/ubuntu natty partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http:/extras.ubuntu.com/ubuntu natty main
deb-src http:/extras.ubuntu.com/ubuntu natty main
deb http:/ftp.us.debian.org/debian/ etch main contrib non-free
deb-src http:/ftp.us.debian.org/debian/ etch main contrib non-free
deb http:/http.us.debian.org/debian stable main contrib non-free
deb-src http:/http.us.debian.org/debian stable main contrib non-free
deb http:/non-us.debian.org/debian-non-US stable/non-US main contrib non-free
deb-src http:/non-us.debian.org/debian-non-US stable/non-US main contrib non-free

Thanks But after removing Debian repositories still getting this error:

    W:GPG error: http://ppa.launchpad.net natty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 9BDB3D89CE49EC21,
 W:GPG error: http://ppa.launchpad.net natty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 80E7349A06ED541C,
 W:GPG error: http://ppa.launchpad.net natty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 8C851674F96FD737,
 W:GPG error: http://ppa.launchpad.net natty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 94E58C34A8670E8C, 
E:Unable to parse package file /var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_natty-updates_multiverse_i18n_Index (1)

I actually tried this before, but i am always getting this error

--Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv-keys 8C851674F96FD737
gpg: requesting key F96FD737 from hkp server keyserver.ubuntu.com
?: keyserver.ubuntu.com: Connection refused
gpgkeys: HTTP fetch error 7: couldn't connect: Connection refused
gpg: no valid OpenPGP data found.
gpg: Total number processed: 0
share|improve this question
1  
please run sudo apt-get update && sudo apt-get upgrade in a terminal. Copy and paste the output into your question. –  fossfreedom Aug 16 '11 at 18:01
    
Question Updated with the output to - sudo apt-get update && sudo apt-get upgrade –  Betaxpression Aug 18 '11 at 8:33
    
Debian Etch is outdated (from 2007) and not supported as of 2010. The current supported Debian versions are Lenny and Squeeze. Those repositories do not belong to Ubuntu as they might be incompatible. –  Lekensteyn Aug 20 '11 at 9:36
    
@BETA - for your last edit - are you behind some-sort of firewall - or possibly are you using some-sort of proxy? –  fossfreedom Aug 23 '11 at 21:47
    
@fossfreedom yeah i connect through the proxy servers of the institute. –  Betaxpression Aug 24 '11 at 17:37
show 1 more comment

3 Answers

up vote 3 down vote accepted

Diagnosis

From your latest edit, the errors are most probably due to the debian sources in your repository lists.

This could cause all sorts of conflicts with the standard ubuntu repositories - my initial reaction would be to disable these non-ubuntu repositories rather than downloading the public key from the debian site.

Re-run after removal of the debian repos.

sudo apt-get update && sudo apt-get upgrade

It perhaps also worth adding the output of the following so that we can confirm what other repo issues you may have:

cat /etc/apt/sources.list

How to fix

I'm not sure why you have added the Debian Etch repositories - perhaps you can add that answer to your question.

To comment out these repositories:

sudo nano /etc/apt/sources.list

find the lines:

deb http:/ftp.us.debian.org/debian/ etch main contrib non-free
deb-src http:/ftp.us.debian.org/debian/ etch main contrib non-free
deb http:/http.us.debian.org/debian stable main contrib non-free
deb-src http:/http.us.debian.org/debian stable main contrib non-free
deb http:/non-us.debian.org/debian-non-US stable/non-US main contrib non-free
deb-src http:/non-us.debian.org/debian-non-US stable/non-US main contrib non-free

add a "#" if front of them i.e. so that it looks like:

#deb http:/ftp.us.debian.org/debian/ etch main contrib non-free
#deb-src http:/ftp.us.debian.org/debian/ etch main contrib non-free
#deb http:/http.us.debian.org/debian stable main contrib non-free
#deb-src http:/http.us.debian.org/debian stable main contrib non-free
#deb http:/non-us.debian.org/debian-non-US stable/non-US main contrib non-free
#deb-src http:/non-us.debian.org/debian-non-US stable/non-US main contrib non-free

Write out the file (CTRL + O) and exit the editor (CTRL + X).

re-run

sudo apt-get update && sudo apt-get upgrade

Confirm that everything is OK.

How to fix missing GPG keys

For each hexadecimal string prefix sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys

for example:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 9BDB3D89CE49EC21

Repeat for each missing GPG key

How to fix missing GPG keys behind a proxy

The above instructions will not work if you are behind a proxy. Fortunately the webupd8 team (click for installation instructions) have a solution. You don't necessarily need to install the PPA - you could also download the natty deb from here and install manually.

How to use launchpad-getkeys behind a proxy are in the webupd8 link above.

How to install blender 2.58 in ubuntu

Try to stick to the official ubuntu repositories - it will give you the most stable system.

In you ubuntu you can install newer versions of software from others that have packaged the software on Launchpad - see the related questions below.

One such repository is this developer for blender - note - the only reason I've linked to this is that Google has revealed a few blog sites that have linked to this particular repository.

sudo apt-add-repository ppa:cheleb/blender-svn/ubuntu
sudo apt-get update
sudo apt-get install blender

Related Questions:

share|improve this answer
    
New to Ubuntu, can you please provide some details for removing non ubuntu debian repositories. In the other sofware sources i have "Debian 4.0 eth" officially supported "non-us.debian.org/"; etc ... "ppa.launcpad.net"; ... which ones to remove?? and will applications depending on them stop working, i think i first came across this problem after installing Blender 2.58, will that stop working –  Betaxpression Aug 20 '11 at 6:41
    
Tried commenting out the debian sources, but what i found out is that the "source.list" file is empty, it doesn't have any text. Any Suggestion. –  Betaxpression Aug 21 '11 at 14:32
    
sorry - my bad - forgot the "s" in sources.list. Have corrected the answer now. –  fossfreedom Aug 21 '11 at 15:20
    
Removed debian sources still getting error-(look end of quetion) –  Betaxpression Aug 21 '11 at 21:30
    
... oh dear - this is exactly what happens when your package management system is screwed up. Look at my amended answer on how to fix GPG keys. Please also amend the formatting of the last change in your question - the last edit is impossible to read. –  fossfreedom Aug 21 '11 at 21:41
add comment

try this

sudo dpkg --configure -a
share|improve this answer
add comment

I came across the same problem with an ubuntu. I just needed to restart squid-deb-proxy and after it everything returend to normal.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.